# XposedBridge
这是Ratel(平头哥)的XposedBridge代码模块，剥离自Ratel整体工程，以git父子module进行关联。

本模块的主要功能是在RatelApi上层实现XposedBridge，由此可以做到兼容市面上的Xposed模块，这和[太极](https://taichi.cool/)]的做法非常类似，
和太极一样，这种XposedApi无法完全兼容Xposed，特别是在Embed模式下

# 先决条件
请注意，本项目是基于RatelApi提供的扩展，所以在本项目初始化之前，必须先完成RatelApi的初始化，见：
http://git.virjar.com/ratel/ratelapi


# 外部工程通过git submodule依赖本项目的方法

1. 创建子module，注意path需要提供``二级``目录

```
 git submodule add git@git.virjar.com:ratel/xposedbridge.git base-lib-xposed-bridge/xposedbridge
```
此时工程将会初始化到``base-lib-xposed-bridge/xposedbridge``下面

2. 在settings.gradle里面配置该子项目 ``':base-lib-xposed-bridge'``,请注意不要带上``/xposedbridge``,否则将会使用xposedbridge下面的build.gradle文件。
这是由于ratel-api自带的编译规则可能有他的独立性。

3. 在``base-lib-xposed-bridge``目录下创建``build.gradle``并写入如下内容

```
apply plugin: 'java-library'

sourceSets {
    main {
        resources {
            srcDir 'xposedbridge/src/main/resources'
        }
        java {
            srcDir 'xposedbridge/src/main/java'
        }
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])

    implementation 'com.android.support:appcompat-v7:28.0.0'
    compileOnly project(':base-lib-ratel-api')
    compileOnly 'com.rover12421.AndroidHideApi:android:1.24'
}


```

4. 在你的工程中添加本项目依赖
dependencies {
    api ':base-lib-xposed-bridge'
}


